"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.CodeSandboxState = exports.CodeSandboxExporter = void 0;
var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));
var React = _interopRequireWildcard(require("react"));
var _reactCodesandboxer = _interopRequireDefault(require("react-codesandboxer"));
var _indexTemplates = require("./indexTemplates");
var _createPackageJson = require("./createPackageJson");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var CodeSandboxState = /*#__PURE__*/function (CodeSandboxState) {
  CodeSandboxState["Default"] = "DEFAULT";
  CodeSandboxState["Loading"] = "LOADING";
  CodeSandboxState["Success"] = "SUCCESS";
  return CodeSandboxState;
}({});
exports.CodeSandboxState = CodeSandboxState;
var CodeSandboxExporter = /*#__PURE__*/function (_React$Component) {
  (0, _inheritsLoose2.default)(CodeSandboxExporter, _React$Component);
  function CodeSandboxExporter() {
    var _this;
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;
    _this.state = {
      exampleCode: '',
      examplePath: '',
      sandboxUrl: '',
      state: CodeSandboxState.Default
    };
    _this.codeSandboxerRef = /*#__PURE__*/React.createRef();
    _this.handleDeploy = function (embedUrl, sandboxId) {
      var examplePath = _this.state.examplePath;
      var sandboxUrl = "https://codesandbox.io/s/" + sandboxId + "?module=" + examplePath;
      _this.setState({
        sandboxUrl: sandboxUrl,
        state: CodeSandboxState.Success
      });
    };
    _this.handleClick = function (e) {
      var _this$state = _this.state,
        sandboxUrl = _this$state.sandboxUrl,
        state = _this$state.state;
      e.preventDefault();
      if (state === CodeSandboxState.Default) {
        _this.codeSandboxerRef.current.deployToCSB(e);
        _this.setState({
          state: CodeSandboxState.Loading
        });
        return;
      }
      if (state === CodeSandboxState.Success) {
        window.open(sandboxUrl);
      }
    };
    return _this;
  }
  CodeSandboxExporter.getDerivedStateFromProps = function getDerivedStateFromProps(props, state) {
    var shouldKeepState = props.exampleCode === state.exampleCode;
    return {
      exampleCode: props.exampleCode,
      examplePath: props.exampleLanguage === 'ts' ? '/example.tsx' : '/example.js',
      sandboxUrl: shouldKeepState ? state.sandboxUrl : '',
      state: shouldKeepState ? state.state : CodeSandboxState.Default
    };
  };
  var _proto = CodeSandboxExporter.prototype;
  _proto.render = function render() {
    var _ref;
    var _this$props = this.props,
      children = _this$props.children,
      exampleLanguage = _this$props.exampleLanguage,
      exampleCode = _this$props.exampleCode,
      exampleName = _this$props.exampleName,
      imports = _this$props.imports;
    var _this$state2 = this.state,
      examplePath = _this$state2.examplePath,
      state = _this$state2.state;
    var main = exampleLanguage === 'ts' ? 'index.tsx' : 'index.js';
    var template = exampleLanguage === 'ts' ? 'create-react-app-typescript' : 'create-react-app';
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_reactCodesandboxer.default, {
      afterDeploy: this.handleDeploy,
      examplePath: examplePath,
      example: exampleCode,
      name: exampleName,
      providedFiles: (_ref = {}, _ref[main] = {
        content: _indexTemplates.appTemplate
      }, _ref['package.json'] = (0, _createPackageJson.createPackageJson)(main, exampleCode, exampleLanguage, imports), _ref),
      skipRedirect: true,
      ref: this.codeSandboxerRef,
      template: template
    }, function () {
      return null;
    }), children(state, this.handleClick));
  };
  return CodeSandboxExporter;
}(React.Component);
exports.CodeSandboxExporter = CodeSandboxExporter;
//# sourceMappingURL=CodeSandboxExporter.js.map
