"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.createPackageJson = void 0;
var _mapValues2 = _interopRequireDefault(require("lodash/mapValues"));
var _pickBy2 = _interopRequireDefault(require("lodash/pickBy"));
var name = 'fluent-ui-example';
var description = 'An exported example from Fluent UI React, https://aka.ms/fluent-ui/';
function createDependencies(code, imports) {
  // Will include only required packages intentionally like "react" or required by a current example
  var filteredPackages = (0, _pickBy2.default)(imports, function (declaration, name) {
    return declaration.required || new RegExp("from ['|\"]" + name + "['|\"]").exec(code);
  });
  return Object.assign({}, (0, _mapValues2.default)(filteredPackages, function (pkg) {
    return pkg.version;
  }), {
    // required to enable all features due old templates in https://github.com/codesandbox/codesandbox-importers
    // https://github.com/microsoft/fluent-ui-react/issues/1519
    'react-scripts': 'latest'
  });
}
var createPackageJson = function createPackageJson(mainFilename, code, language, imports) {
  return {
    content: JSON.stringify({
      name: name,
      version: '1.0.0',
      description: description,
      main: mainFilename,
      dependencies: createDependencies(code, imports)
    }, null, 2)
  };
};
exports.createPackageJson = createPackageJson;
//# sourceMappingURL=createPackageJson.js.map
