"use strict";

exports.__esModule = true;
exports.CodeSnippet = void 0;
var Prism = _interopRequireWildcard(require("prismjs/components/prism-core"));
var React = _interopRequireWildcard(require("react"));
require("prismjs/components/prism-clike");
require("prismjs/components/prism-json");
require("prismjs/components/prism-markup");
require("prismjs/components/prism-bash");
require("prismjs/components/prism-javascript");
require("prismjs/components/prism-jsx");
var _formatCode = require("./formatCode");
var _CodeSnippetLabel = require("./CodeSnippetLabel");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
// Order of PrismJS imports there is sensitive

var CodeSnippet = /*#__PURE__*/React.memo(function (props) {
  var className = props.className,
    _props$copyable = props.copyable,
    copyable = _props$copyable === void 0 ? true : _props$copyable,
    fitted = props.fitted,
    _props$formattable = props.formattable,
    formattable = _props$formattable === void 0 ? true : _props$formattable,
    label = props.label,
    _props$mode = props.mode,
    mode = _props$mode === void 0 ? 'jsx' : _props$mode,
    value = props.value;
  var codeClassName = "language-" + mode;
  var code = formattable ? (0, _formatCode.formatCode)(value, mode) : value;
  var codeRef = React.useRef(null);
  React.useLayoutEffect(function () {
    Prism.highlightElement(codeRef.current);
  });
  return /*#__PURE__*/React.createElement("div", {
    className: className,
    style: Object.assign({
      fontSize: '12px',
      position: 'relative'
    }, props.style)
  }, /*#__PURE__*/React.createElement(_CodeSnippetLabel.CodeSnippetLabel, {
    copyable: copyable,
    label: label,
    mode: mode,
    value: code
  }), /*#__PURE__*/React.createElement("pre", {
    style: {
      margin: fitted ? '0' : undefined
    }
  }, /*#__PURE__*/React.createElement("code", {
    className: codeClassName,
    ref: codeRef
  }, code)));
});
exports.CodeSnippet = CodeSnippet;
//# sourceMappingURL=CodeSnippet.js.map
