"use strict";

exports.__esModule = true;
exports.useCopyToClipboard = exports.CopyToClipboard = void 0;
var copyToClipboard = _interopRequireWildcard(require("copy-to-clipboard"));
var PropTypes = _interopRequireWildcard(require("prop-types"));
var React = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var useCopyToClipboard = function useCopyToClipboard(value, timeout) {
  if (timeout === void 0) {
    timeout = 3000;
  }
  var _React$useState = React.useState(false),
    active = _React$useState[0],
    setActive = _React$useState[1];
  var onCopy = React.useCallback(function () {
    copyToClipboard(typeof value === 'function' ? value() : value);
    setActive(true);
    var timeoutId = setTimeout(function () {
      return setActive(false);
    }, timeout);
    return function () {
      return clearTimeout(timeoutId);
    };
  }, [timeout, value]);
  return [active, onCopy];
};
exports.useCopyToClipboard = useCopyToClipboard;
var CopyToClipboard = function CopyToClipboard(props) {
  var children = props.children,
    timeout = props.timeout,
    value = props.value;
  var _useCopyToClipboard = useCopyToClipboard(value, timeout),
    active = _useCopyToClipboard[0],
    onCopy = _useCopyToClipboard[1];
  return children(active, onCopy);
};
exports.CopyToClipboard = CopyToClipboard;
CopyToClipboard.propTypes = {
  children: PropTypes.func.isRequired,
  timeout: PropTypes.number,
  value: PropTypes.string.isRequired
};
//# sourceMappingURL=CopyToClipboard.js.map
