"use strict";

exports.__esModule = true;
exports.useKnob = void 0;
var React = _interopRequireWildcard(require("react"));
var _KnobContexts = require("./KnobContexts");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var useKnob = function useKnob(options) {
  var initialValue = options.initialValue,
    name = options.name;
  var knobContext = React.useContext(_KnobContexts.KnobContext);
  var value = knobContext.knobs[name] === undefined ? initialValue : knobContext.knobs[name].value;
  var setValue = function setValue(newValue) {
    knobContext.setKnobValue(name, newValue);
  };
  React.useEffect(function () {
    knobContext.registerKnob(Object.assign({}, options, {
      value: initialValue
    }));
    return function () {
      return knobContext.unregisterKnob(name);
    };
  },
  // Fix dependencies if there will be any issues
  // eslint-disable-next-line
  [name]);
  return [value, setValue];
};
exports.useKnob = useKnob;
//# sourceMappingURL=useKnob.js.map
