"use strict";

exports.__esModule = true;
exports.useLogKnob = void 0;
var React = _interopRequireWildcard(require("react"));
var _KnobContexts = require("./KnobContexts");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var defaultFormatter = function defaultFormatter(name) {
  return new Date().toLocaleTimeString() + ": " + name;
};
var useLogKnob = function useLogKnob(name, callback, formatter) {
  if (formatter === void 0) {
    formatter = defaultFormatter;
  }
  var _React$useContext = React.useContext(_KnobContexts.LogContextFunctions),
    appendLog = _React$useContext.appendLog;
  var proxy = React.useCallback(function () {
    for (var _len = arguments.length, a = new Array(_len), _key = 0; _key < _len; _key++) {
      a[_key] = arguments[_key];
    }
    appendLog(formatter.apply(void 0, [name].concat(a)));
    if (typeof callback === 'function') {
      return callback.apply(void 0, a);
    }
    return null;
  }, [appendLog, callback, name, formatter]);
  return proxy;
};
exports.useLogKnob = useLogKnob;
//# sourceMappingURL=useLogKnob.js.map
