"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.useRangeKnob = void 0;
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _parseRangeValue = require("./utils/parseRangeValue");
var _useKnob = require("./useKnob");
var _excluded = ["initialValue", "min", "max", "step"];
var useRangeKnob = function useRangeKnob(options) {
  var _options$initialValue = options.initialValue,
    initialValue = _options$initialValue === void 0 ? 3 : _options$initialValue,
    _options$min = options.min,
    min = _options$min === void 0 ? 0 : _options$min,
    _options$max = options.max,
    max = _options$max === void 0 ? (0, _parseRangeValue.parseValue)(initialValue) : _options$max,
    _options$step = options.step,
    step = _options$step === void 0 ? 1 : _options$step,
    rest = (0, _objectWithoutPropertiesLoose2.default)(options, _excluded);
  var unit = ("" + initialValue).replace("" + (0, _parseRangeValue.parseValue)(initialValue), '');
  return (0, _useKnob.useKnob)(Object.assign({
    initialValue: initialValue,
    unit: unit,
    min: (0, _parseRangeValue.parseValue)(min),
    max: (0, _parseRangeValue.parseValue)(max),
    step: (0, _parseRangeValue.parseValue)(step),
    type: 'range'
  }, rest));
};
exports.useRangeKnob = useRangeKnob;
//# sourceMappingURL=useRangeKnob.js.map
