"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.renderElementToJSX = void 0;
var _reactElementToJsxString = _interopRequireDefault(require("react-element-to-jsx-string"));
var getDisplayName = function getDisplayName(element) {
  return (
    // @ts-ignore
    element.type.displayName ||
    // @ts-ignore // function name
    element.type.name || (
    // function without a name, you should provide one
    typeof element.type === 'function' ? 'NoDisplayName' : element.type)
  );
};
var renderElementToJSX = function renderElementToJSX(element, triggerErrorOnRenderFn) {
  if (triggerErrorOnRenderFn === void 0) {
    triggerErrorOnRenderFn = false;
  }
  var renderHasFunction;
  var jsxMarkup = (0, _reactElementToJsxString.default)(element, {
    displayName: function displayName(element) {
      var displayName = getDisplayName(element);

      // Components created by MDX have following signature:
      // <MDXCreateElement gap="gap.small" mdxType="Flex" originalType>
      return displayName === 'MDXCreateElement' ? element.props.mdxType : displayName;
    },
    showDefaultProps: false,
    showFunctions: true,
    filterProps: [
    // MDX props
    'mdxType', 'originalType',
    // Fluent UI props
    'accessibility', 'onClick', 'onChange'],
    functionValue: function functionValue() {
      return renderHasFunction = true;
    }
  });
  if (process.env.NODE_ENV !== 'production') {
    if (renderHasFunction && triggerErrorOnRenderFn) {
      throw new Error(["This ExampleSnippet's render prop output includes function.", ' A helpful JSX string cannot be generated for functions.', ' Please define a `value` string prop that displays readable code to the user.', '\n\n', 'RENDERED:', '\n\n', jsxMarkup].join(''));
    }
  }
  return jsxMarkup;
};
exports.renderElementToJSX = renderElementToJSX;
//# sourceMappingURL=renderElementToJSX.js.map
