import * as React from 'react';
import { KnobComponents, KnobDefinition, KnobName, KnobSet } from './types';
export declare type KnobContextValue = {
    components: KnobComponents;
    knobs: KnobSet;
    registerKnob: (knob: KnobDefinition) => void;
    setKnobValue: (knobName: KnobName, knobValue: any) => void;
    unregisterKnob: (knobName: KnobName) => void;
};
export declare type LogContextFunctionsValue = {
    appendLog: (value: string) => void;
    clearLog: () => void;
};
export declare type LogContextItemsValue = string[];
export declare const KnobContext: React.Context<KnobContextValue>;
export declare const LogContextFunctions: React.Context<LogContextFunctionsValue>;
export declare const LogContextItems: React.Context<LogContextItemsValue>;
