import * as React from 'react';
import { CodeSandboxImport, CodeSandboxLanguage } from './types';
export declare enum CodeSandboxState {
    Default = "DEFAULT",
    Loading = "LOADING",
    Success = "SUCCESS"
}
declare type CodeSandboxExporterProps = {
    children: (state: CodeSandboxState, onClick?: (e: React.SyntheticEvent) => void) => React.ReactNode;
    exampleCode: string;
    exampleLanguage: CodeSandboxLanguage;
    exampleName: string;
    imports: Record<string, CodeSandboxImport>;
};
declare type CodeSandboxExporterState = {
    exampleCode: string;
    examplePath: string;
    state: CodeSandboxState;
    sandboxUrl: string;
};
export declare class CodeSandboxExporter extends React.Component<CodeSandboxExporterProps, CodeSandboxExporterState> {
    state: {
        exampleCode: string;
        examplePath: string;
        sandboxUrl: string;
        state: CodeSandboxState;
    };
    codeSandboxerRef: React.RefObject<{
        deployToCSB: Function;
    }>;
    static getDerivedStateFromProps(props: CodeSandboxExporterProps, state: CodeSandboxExporterState): Partial<CodeSandboxExporterState>;
    handleDeploy: (embedUrl: string, sandboxId: string) => void;
    handleClick: (e: React.SyntheticEvent) => void;
    render(): JSX.Element;
}
export {};
