import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import * as React from 'react';
import CodeSandboxer from 'react-codesandboxer';
import { appTemplate } from './indexTemplates';
import { createPackageJson } from './createPackageJson';
export var CodeSandboxState = /*#__PURE__*/function (CodeSandboxState) {
  CodeSandboxState["Default"] = "DEFAULT";
  CodeSandboxState["Loading"] = "LOADING";
  CodeSandboxState["Success"] = "SUCCESS";
  return CodeSandboxState;
}({});
export var CodeSandboxExporter = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(CodeSandboxExporter, _React$Component);
  function CodeSandboxExporter() {
    var _this;
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;
    _this.state = {
      exampleCode: '',
      examplePath: '',
      sandboxUrl: '',
      state: CodeSandboxState.Default
    };
    _this.codeSandboxerRef = /*#__PURE__*/React.createRef();
    _this.handleDeploy = function (embedUrl, sandboxId) {
      var examplePath = _this.state.examplePath;
      var sandboxUrl = "https://codesandbox.io/s/" + sandboxId + "?module=" + examplePath;
      _this.setState({
        sandboxUrl: sandboxUrl,
        state: CodeSandboxState.Success
      });
    };
    _this.handleClick = function (e) {
      var _this$state = _this.state,
        sandboxUrl = _this$state.sandboxUrl,
        state = _this$state.state;
      e.preventDefault();
      if (state === CodeSandboxState.Default) {
        _this.codeSandboxerRef.current.deployToCSB(e);
        _this.setState({
          state: CodeSandboxState.Loading
        });
        return;
      }
      if (state === CodeSandboxState.Success) {
        window.open(sandboxUrl);
      }
    };
    return _this;
  }
  CodeSandboxExporter.getDerivedStateFromProps = function getDerivedStateFromProps(props, state) {
    var shouldKeepState = props.exampleCode === state.exampleCode;
    return {
      exampleCode: props.exampleCode,
      examplePath: props.exampleLanguage === 'ts' ? '/example.tsx' : '/example.js',
      sandboxUrl: shouldKeepState ? state.sandboxUrl : '',
      state: shouldKeepState ? state.state : CodeSandboxState.Default
    };
  };
  var _proto = CodeSandboxExporter.prototype;
  _proto.render = function render() {
    var _ref;
    var _this$props = this.props,
      children = _this$props.children,
      exampleLanguage = _this$props.exampleLanguage,
      exampleCode = _this$props.exampleCode,
      exampleName = _this$props.exampleName,
      imports = _this$props.imports;
    var _this$state2 = this.state,
      examplePath = _this$state2.examplePath,
      state = _this$state2.state;
    var main = exampleLanguage === 'ts' ? 'index.tsx' : 'index.js';
    var template = exampleLanguage === 'ts' ? 'create-react-app-typescript' : 'create-react-app';
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(CodeSandboxer, {
      afterDeploy: this.handleDeploy,
      examplePath: examplePath,
      example: exampleCode,
      name: exampleName,
      providedFiles: (_ref = {}, _ref[main] = {
        content: appTemplate
      }, _ref['package.json'] = createPackageJson(main, exampleCode, exampleLanguage, imports), _ref),
      skipRedirect: true,
      ref: this.codeSandboxerRef,
      template: template
    }, function () {
      return null;
    }), children(state, this.handleClick));
  };
  return CodeSandboxExporter;
}(React.Component);
//# sourceMappingURL=CodeSandboxExporter.js.map
