import _mapValues from "lodash/mapValues";
import _pickBy from "lodash/pickBy";
var name = 'fluent-ui-example';
var description = 'An exported example from Fluent UI React, https://aka.ms/fluent-ui/';
function createDependencies(code, imports) {
  // Will include only required packages intentionally like "react" or required by a current example
  var filteredPackages = _pickBy(imports, function (declaration, name) {
    return declaration.required || new RegExp("from ['|\"]" + name + "['|\"]").exec(code);
  });
  return Object.assign({}, _mapValues(filteredPackages, function (pkg) {
    return pkg.version;
  }), {
    // required to enable all features due old templates in https://github.com/codesandbox/codesandbox-importers
    // https://github.com/microsoft/fluent-ui-react/issues/1519
    'react-scripts': 'latest'
  });
}
export var createPackageJson = function createPackageJson(mainFilename, code, language, imports) {
  return {
    content: JSON.stringify({
      name: name,
      version: '1.0.0',
      description: description,
      main: mainFilename,
      dependencies: createDependencies(code, imports)
    }, null, 2)
  };
};
//# sourceMappingURL=createPackageJson.js.map
