import * as Prism from 'prismjs/components/prism-core';
import * as React from 'react';

// Order of PrismJS imports there is sensitive
import 'prismjs/components/prism-clike';
import 'prismjs/components/prism-json';
import 'prismjs/components/prism-markup';
import 'prismjs/components/prism-bash';
import 'prismjs/components/prism-javascript';
import 'prismjs/components/prism-jsx';
import { formatCode } from './formatCode';
import { CodeSnippetLabel } from './CodeSnippetLabel';
export var CodeSnippet = /*#__PURE__*/React.memo(function (props) {
  var className = props.className,
    _props$copyable = props.copyable,
    copyable = _props$copyable === void 0 ? true : _props$copyable,
    fitted = props.fitted,
    _props$formattable = props.formattable,
    formattable = _props$formattable === void 0 ? true : _props$formattable,
    label = props.label,
    _props$mode = props.mode,
    mode = _props$mode === void 0 ? 'jsx' : _props$mode,
    value = props.value;
  var codeClassName = "language-" + mode;
  var code = formattable ? formatCode(value, mode) : value;
  var codeRef = React.useRef(null);
  React.useLayoutEffect(function () {
    Prism.highlightElement(codeRef.current);
  });
  return /*#__PURE__*/React.createElement("div", {
    className: className,
    style: Object.assign({
      fontSize: '12px',
      position: 'relative'
    }, props.style)
  }, /*#__PURE__*/React.createElement(CodeSnippetLabel, {
    copyable: copyable,
    label: label,
    mode: mode,
    value: code
  }), /*#__PURE__*/React.createElement("pre", {
    style: {
      margin: fitted ? '0' : undefined
    }
  }, /*#__PURE__*/React.createElement("code", {
    className: codeClassName,
    ref: codeRef
  }, code)));
});
//# sourceMappingURL=CodeSnippet.js.map
