import * as copyToClipboard from 'copy-to-clipboard';
import * as PropTypes from 'prop-types';
import * as React from 'react';
export var useCopyToClipboard = function useCopyToClipboard(value, timeout) {
  if (timeout === void 0) {
    timeout = 3000;
  }
  var _React$useState = React.useState(false),
    active = _React$useState[0],
    setActive = _React$useState[1];
  var onCopy = React.useCallback(function () {
    copyToClipboard(typeof value === 'function' ? value() : value);
    setActive(true);
    var timeoutId = setTimeout(function () {
      return setActive(false);
    }, timeout);
    return function () {
      return clearTimeout(timeoutId);
    };
  }, [timeout, value]);
  return [active, onCopy];
};
export var CopyToClipboard = /*#__PURE__*/function () {
  var CopyToClipboard = function CopyToClipboard(props) {
    var children = props.children,
      timeout = props.timeout,
      value = props.value;
    var _useCopyToClipboard = useCopyToClipboard(value, timeout),
      active = _useCopyToClipboard[0],
      onCopy = _useCopyToClipboard[1];
    return children(active, onCopy);
  };
  CopyToClipboard.propTypes = {
    children: PropTypes.func.isRequired,
    timeout: PropTypes.number,
    value: PropTypes.string.isRequired
  };
  return CopyToClipboard;
}();
//# sourceMappingURL=CopyToClipboard.js.map
