import * as React from 'react';
import { KnobContext } from './KnobContexts';
export var useKnob = function useKnob(options) {
  var initialValue = options.initialValue,
    name = options.name;
  var knobContext = React.useContext(KnobContext);
  var value = knobContext.knobs[name] === undefined ? initialValue : knobContext.knobs[name].value;
  var setValue = function setValue(newValue) {
    knobContext.setKnobValue(name, newValue);
  };
  React.useEffect(function () {
    knobContext.registerKnob(Object.assign({}, options, {
      value: initialValue
    }));
    return function () {
      return knobContext.unregisterKnob(name);
    };
  },
  // Fix dependencies if there will be any issues
  // eslint-disable-next-line
  [name]);
  return [value, setValue];
};
//# sourceMappingURL=useKnob.js.map
