import * as React from 'react';
import { LogContextFunctions } from './KnobContexts';
var defaultFormatter = function defaultFormatter(name) {
  return new Date().toLocaleTimeString() + ": " + name;
};
export var useLogKnob = function useLogKnob(name, callback, formatter) {
  if (formatter === void 0) {
    formatter = defaultFormatter;
  }
  var _React$useContext = React.useContext(LogContextFunctions),
    appendLog = _React$useContext.appendLog;
  var proxy = React.useCallback(function () {
    for (var _len = arguments.length, a = new Array(_len), _key = 0; _key < _len; _key++) {
      a[_key] = arguments[_key];
    }
    appendLog(formatter.apply(void 0, [name].concat(a)));
    if (typeof callback === 'function') {
      return callback.apply(void 0, a);
    }
    return null;
  }, [appendLog, callback, name, formatter]);
  return proxy;
};
//# sourceMappingURL=useLogKnob.js.map
